<?php
require('auth_sister/core.php'); //妹関数読込
auth_session_start(); //セッションスタート(必要)
auth_sister_header(); //ヘッダタグ自動挿入
?>
<div class="generic-content-wrapper">
	<div class="section-title-wrapper">
		<h2>{{$title}}</h2>
	</div>
	<div class="section-content-wrapper">
		<form action="register" method="post" id="register-form">
			<input type='hidden' name='form_security_token' value='{{$form_security_token}}'>
			{{if $reg_is}}
			<div class="section-content-warning-wrapper">
				<div id="register-desc" class="descriptive-paragraph">{{$reg_is}}</div>
				<div id="register-sites" class="descriptive-paragraph">{{$other_sites}}</div>
			</div>
			{{/if}}

			{{if $registertext}}
			<div class="section-content-info-wrapper">
				<div id="register-text" class="descriptive-paragraph">{{$registertext}}</div>
			</div>
			{{/if}}

			{{if $invitations}}
			{{include file="field_input.tpl" field=$invite_code}}
			{{/if}}

			{{include file="field_input.tpl" field=$email}}

			{{include file="field_password.tpl" field=$pass1}}

			{{include file="field_password.tpl" field=$pass2}}

			{{if $auto_create}}
				{{if $default_role}}
				<input type="hidden" name="permissions_role" value="{{$default_role}}" />
				{{else}}
				<div class="section-content-info-wrapper">
					{{$help_role}}
				</div>
				{{include file="field_select_grouped.tpl" field=$role}}
				{{/if}}

				{{include file="field_input.tpl" field=$name}}
				<div id="name-spinner" class="spinner-wrapper"><div class="spinner m"></div></div>

				{{include file="field_input.tpl" field=$nickname}}
				<div id="nick-spinner" class="spinner-wrapper"><div class="spinner m"></div></div>
			{{/if}}

			{{if $enable_tos}}
			{{include file="field_checkbox.tpl" field=$tos}}
			{{else}}
			<input type="hidden" name="tos" value="1" />
			{{/if}}

<?php
if (auth_sister_auth()) {
echo "認証成功;
echo auth_sister_res();
} else {
echo "認証失敗;
echo auth_sister_res();
}
//auth_sister_res()は、先にauth_sister_auth()をコールする必要があります。
//これらの関数はauth_sister_load()がコールされる前に実行する必要があります。
?>

<?php
auth_sister_load(); //初期化
auth_sister_insert(); //HTMLタグ自動挿入
?>
			<button class="btn btn-primary" type="submit" name="submit" id="newchannel-submit-button" value="{{$submit}}">{{$submit}}</button>
			<div id="register-submit-end" class="register-field-end"></div>
		</form>
			<br />
			<div class="descriptive-text">{{$verify_note}}</div>

	</div>
</div>
